/*!
 * Ext JS Library 3.1.0
 * Copyright(c) 2006-2009 Ext JS, LLC
 * licensing@extjs.com
 * http://www.extjs.com/license
*/

/*
* Template para montagem do CSS
* para os temas do Expresso 3.0
* 22/dezembro/2011
*/
.x-btn-small .x-tbar-loading { background-image: url(../images/expresso/toolbar/refresh.png) !important; }
.x-item-disabled .x-tbar-loading { background-image: url(../images/expresso/toolbar/loading.gif) !important; }
.x-tab-strip-closable { background-color: #0f3852; border-style: solid; border-width: 1px; border-color: #242424; }
.x-tab-strip-active { background-color: #005483; border-style: solid; border-width: 1px; border-color: #444; }
.x-tab-strip-top .x-tab-right, .x-tab-strip-top .x-tab-left, .x-tab-strip-top .x-tab-strip-inner { background-image: none; }
.x-btn-group-bl, .x-btn-group-br, .x-btn-group-bc { background-image: none; }
.x-btn-group-tl, .x-btn-group-tr, .x-btn-group-tc { background-image: none !important; }
.x-btn-group-ml, .x-btn-group-mr { background-image: none; }
.x-tab-strip span.x-tab-strip-text { color: #9f9f9f; }
.x-tab-strip-active span.x-tab-strip-text { color: #eee; }
.tine-mainscreen-apptabspanel-menu-tabel {
    background-color: transparent;
    border-color: transparent !important;
    margin-top: -10px;
    z-index: 1000;
}
.tine-mainscreen-apptabspanel-menu-tabel span.x-tab-strip-text { font-size: 1.9em; font-weight: bold; color: #ddd; }
.tine-mainscreen-apptabs { }
.tine-mainscreen-apptabs .x-panel-bwrap .x-panel-body { }
.tine-favicon { background-position: 3px 50% !important; }
.ux-arrowcollapse .ux-arrowcollapse-header-text { font-size: 14px; font-weight: bold; }
.x-tree-node a span, .x-dd-drag-ghost a span { color: #616161; }
.x-splitbar-h { background-color: #005483; }
.x-splitbar-v { background-color: #005483; }
.x-grid3-hd-row td { border-left: solid 1px #fff; border-right: solid 1px #fff; }
.x-grid3-header { background-color: #e4e4e4; background-image: none; }
.tine-mainscreen-centerpanel-west .x-column-layout-ct .x-toolbar-layout-ct { border: solid 2px #fff; }
.felamimail-recipient-grid .x-grid3 { background-color: transparent; }
.x-grid3-row-selected { font-weight: bold; background-color: #d9e8fb; }
.tine-mainscreen-centerpanel-center>.x-panel-bwrap>.x-panel-body-noheader>.x-panel-noborder>.x-panel-bwrap>.x-border-layout-ct>.x-border-panel {
    border-style: solid;
    border-width: 0 4px 0 4px;
    border-color: #fff;
    padding-top: 4px;
}
.tine-mainscreen-centerpanel-center>.x-panel-bwrap>.x-panel-body-noheader>.x-panel-noborder>.x-panel-bwrap>.x-border-layout-ct>.x-border-panel:first-child {
    padding-top: 0;
}
.tine-mainscreen-centerpanel-center>.x-panel-bwrap>.x-panel-body-noheader>.x-panel-noborder>.x-panel-bwrap>.x-border-layout-ct .x-layout-split-east {
    background-color: transparent;
}
.tine-mainscreen-centerpanel-west { border: solid 2px #fff; }
.x-window {	background-color: #e4e4e4 !important; }
.x-window-dlg { background-color: #f7f7f7 !important; }

.x-toolbar .x-btn-over .x-btn-mc em.x-btn-split,
.x-toolbar .x-btn-click .x-btn-mc em.x-btn-split,
.x-toolbar .x-btn-menu-active .x-btn-mc em.x-btn-split,
.x-toolbar .x-btn-pressed .x-btn-mc em.x-btn-split {
    background-image: url(../images/expresso/button/s-arrow-o.gif) !important;
}
.x-toolbar .x-btn-mc em.x-btn-split {
    background-image: url(../images/expresso/button/s-arrow-noline.gif) !important;
}
.x-btn-tl, .x-btn-tr, .x-btn-tc, .x-btn-ml, .x-btn-mr, .x-btn-mc, .x-btn-bl, .x-btn-br, .x-btn-bc {
    background-image: url(../images/expresso/button/btn.gif);
}
.tb-login-panel table.x-btn-noicon {
    background: url(../images/expresso/bt_entrar.png) no-repeat left top !important; height: 28px;
}
.tb-login-panel table.x-btn-noicon .x-btn-tl, 
.tb-login-panel table.x-btn-noicon .x-btn-tr, 
.tb-login-panel table.x-btn-noicon .x-btn-tc, 
.tb-login-panel table.x-btn-noicon .x-btn-ml, 
.tb-login-panel table.x-btn-noicon .x-btn-mr, 
.tb-login-panel table.x-btn-noicon .x-btn-mc, 
.tb-login-panel table.x-btn-noicon .x-btn-bl, 
.tb-login-panel table.x-btn-noicon .x-btn-br, 
.tb-login-panel table.x-btn-noicon .x-btn-bc {
    background-image: none;
}
.tb-login-panel tbody.x-btn-icon-small-left {
    background-color: transparent;
}
.tb-login-panel .x-btn-icon-small-left tr .x-btn-mc { visibility: visible; background-color: transparent !important; }
.tinebase-westpanel-node-favorite-shared img.x-tree-node-icon {
    background-image: url(../images/oxygen-flat/16x16/actions/get-hot-new-stuff.png);
}

.x-progress-inner {
    background-color: white !important;
    background-image: none !important;
}
.x-progress-bar {
    background-color: #333 !important;
    background-image: none !important;
    border-color: #333 !important;
    overflow: hidden !important;
}
.x-toolbar-cell .x-progress-bar {
    height: 10px !important;
}
.x-progress-wrap {
    border-color: #333 !important;
    border-radius: 1px;
    -moz-border-radius: 1px;
    background-color: white !important;
    padding: 1px !important;
}
.x-progress-text-back {
    color: #333 !important;
    font-weight: bold !important;
}

.PercentRenderer-progress-bar0 { background-color: transparent !important; }
.PercentRenderer-progress-bar10 { background-color: #f36 !important; }
.PercentRenderer-progress-bar20 { background-color: #e69 !important; }
.PercentRenderer-progress-bar30 { background-color: #d8a !important; }
.PercentRenderer-progress-bar40 { background-color: #c9a !important; }
.PercentRenderer-progress-bar50 { background-color: #baa !important; }
.PercentRenderer-progress-bar60 { background-color: #aa9 !important; }
.PercentRenderer-progress-bar70 { background-color: #aa8 !important; }
.PercentRenderer-progress-bar80 { background-color: #ab8 !important; }
.PercentRenderer-progress-bar90 { background-color: #9b8 !important; }
.PercentRenderer-progress-bar100 { background-color: #8c7 !important; }

.PercentRenderer .x-progress-bar {
    border: 0px !important;
}

.x-toolbar .xtb-sep {
    background-image: none;
    background-color: #ccc;
    width: 1px;
}
.tw-ftb-filterpanel .ux-arrowcollapse .x-tool-toggle {
    background-color: #fff;;
}


/**************************************************/
/* PRIMEIRA PARTE */
/**************************************************/
/* reseta o css padrao */
/**************************************************/
/* logotipo original do tine */
.tb-login-lobobox a img { visibility: hidden; }
/* máscara e fundo da tela de email e aplicações */
.x-panel-body { background-color: transparent; }
/* fundo da tela das aplicações */
.x-tab-panel-body { background-color: transparent; }
/* painéis da janela de login */
.x-panel-tl, .x-panel-tr, .x-panel-tc, .x-panel-ml, .x-panel-mr, .x-panel-mc, .x-panel-bl,
.x-panel-br, .x-panel-bc { border-color: transparent; background-color: transparent; background-image: none; }
/* fundo da toolbar */
.x-toolbar { background-color: transparent;	background-image: none; }
/* fundo das tabs das aplicações, layer 1 */
.x-tab-panel-header, .x-tab-panel-footer { background-color: transparent !important; }
.x-tab-panel-header-plain .x-tab-strip-top, ul.x-tab-strip-top { background: #d4d4d4 none !important; }
/* fundo das tabs das aplicações, layer 2 */
.tine-mainscreen-apptabs .x-tab-strip-wrap ul.x-tab-strip-top { background-color: transparent !important; background-image: none !important; }
/* fundo da área do nome do usuário */
.tine-mainscreen-mainmenu .x-toolbar { background-color: transparent !important; background-image: none !important; }
/* painel de progresso e demais popups */
.x-window-tl, .x-window-tr, .x-window-tc, .x-window-ml, .x-window-mr, .x-window-mc, .x-window-bl,
.x-window-br, .x-window-bc { border-color: transparent; background-color: transparent !important; background-image: none; }


/**************************************************/
/* SEGUNDA PARTE */
/**************************************************/
/* seta o css geral */
/**************************************************/
html {
    background: #e9e9e9 url(../images/expresso/barra-superior.png) repeat-x left top;
}

body {
    /* background: fundo geral */
    background: transparent none;
}

#tine-viewport-maincardpanel .x-panel .x-panel-bwrap .x-panel-body {
    background-color: transparent;
}


/**************************************************/
/* TERCEIRA PARTE */
/**************************************************/
/* seta o css do login */
/**************************************************/
.tb-login-panel { /* fundo do painel de login */
    background: #ddd url(../images/expresso/fundo-login.png) repeat-y left top;
    border: solid 5px #777;
    opacity: 0.8;
    padding: 0 !important;
    top: 160px !important;
    left: 60px !important;
    width: 360px !important;
}
.tb-login-panel .x-form-item {
    font: normal 11px tahoma, arial, helvetica, sans-serif !important;
    margin-bottom: 2px !important;
}

.tb-login-infosection, .tb-login-big-label { /* texto do tine no login */
    display: none;
}

.tb-login-infosection a {
    display: none;
}

.tb-version-tinepanel {
    font-size: 0.75em;
    color: #6cf;
    display: block !important;
    position: absolute !important;
    top: 505px !important;
    left: auto !important;
    right: 5px !important;
}

/**************************************************/
/* QUARTA PARTE */
/**************************************************/
/* tela de aplicações */
/**************************************************/
/* fundo área central */
.tine-mainscreen-centerpanel { background-color: white; }

/* fundo da toolbar */
.tine-mainscreen-centerpanel-north .x-toolbar { background-color: #005483; border-color: #005483; border-top: solid 1px #aaa; }
.tine-mainscreen-centerpanel-center .x-toolbar { background-color: #b8b8b8; border-color: #b8b8b8; }
.tine-mainscreen-centerpanel-west .x-toolbar { background-color: #b8b8b8; border-color: #b8b8b8; }

/* fundo, layer 1 - composto por quatro painéis */
.tine-mainscreen-topbox, .tine-mainscreen-mainmenu, .tine-mainscreen-apptabs { /* fundo área tabs */
    background-color: transparent;
}

.tine-mainscreen-topbox .x-panel-body, .tine-mainscreen-mainmenu .x-panel-body, .tine-mainscreen-apptabs .x-panel-body { /* fundo área tabs */
    background-color: #d4d4d4;
}

/* nome do usuário */
.tine-mainscreen-mainmenu .x-toolbar-right .x-btn-text {
    color: #0f3852;
}

/* texto de toolbar button enabled */
.tine-mainscreen-centerpanel-north .x-toolbar { color: white; }

/* texto de toolbar button disabled */
.tine-mainscreen-centerpanel-north .x-toolbar .x-item-disabled * { color: #ccc !important; }

.tine-mainscreen-centerpanel-north .x-btn button { color: white; }


/**************************************************/
/* QUINTA PARTE */
/**************************************************/
/* telas de mensagens, alertas e progresso */
/**************************************************/
.x-window { background-color: #fff;	border: solid 3px #024;	border-radius: 7px; -moz-border-radius: 7px; }

/* sombra do painel de progresso e demais popups */
.xstl, .xstc, .xstr, .xsml, .xsmc, .xsmr, .xsbl, .xsbc, .xsbr { background-image: none; }
.x-shadow { background-color: #666; border-radius: 7px; -moz-border-radius: 7px; opacity: 0.5; }

/* fundo da janela de texto */
.tw-editdialog { background-color: white !important; background-image: none !important; }

.x-panel-body { background-color: white; }

/* redo theme */
.tw-editdialog { background-color: #e4e4e4 !important; }
.tw-editdialog .x-panel-body { background-color: #e4e4e4 !important; }
.x-panel-noborder .x-panel-tbar-noborder .x-toolbar { border-bottom-color: #fff; }

/* new insertions */
body {
    background: transparent url(../images/expresso/logo-expresso-comunidade.png) no-repeat 60px 20px;
}
.tb-login-lobobox {
    display: none;
}
.tb-login-panel .x-form { height: auto !important; padding-top: 10px !important; padding-bottom: 0px !important; }
.tb-login-panel .x-form .x-form-field { width: 150px !important; }
.tb-login-panel .x-form .x-form-field-wrap .x-form-field { width: 133px !important; }
.tb-login-panel .x-panel-footer { width: 313px !important; }
.tb-login-panel .x-panel-footer .x-panel-fbar { width: 313px !important; }
.tb-login-panel .x-btn-text { font-size: 14px; }

#tine-viewport-maincardpanel {
    z-index: 0;
    width: 100%;
    height: 110px;
    background: transparent url(../images/expresso/logo-expresso-trem.png) no-repeat 0px 345px;
}
#tine-viewport-maincardpanel>.x-panel-noborder {
    z-index: 0;
    width: 100%;
    height: 100%;
    background: transparent url(../images/expresso/barra-inferior.png) repeat-x 0px 460px;
}
.tine-mainscreen-centerpanel-north .x-toolbar {
    border-top: none;
}
.tine-mainscreen-apptabs {
    position: absolute;
    z-index: 100;
    top: 20px !important;
    height: 23px !important;
    background-color: transparent;
}
.tine-mainscreen-apptabs .x-panel-bwrap .x-panel-body {
    height: 23px !important;
}
.tine-mainscreen-centerpanel {
}
.x-tab-with-icon {
    height: 20px !important;
}

.x-html-editor-tb {
    background-color: #f0f0f0;
}
.felamimail-recipient-grid .x-grid3-td-type {
    background-color: transparent;
}
.x-tab-strip .x-tab-strip-closable a.x-tab-strip-close {
    background-image: url(../images/default/tabs/tab-close.gif);
}
.x-tab-strip .x-tab-strip-closable a.x-tab-strip-close:hover {
    background-image: url(../images/default/tabs/tab-close.gif);
}
.x-tab-strip-active {
    height: 21px !important;
}
.x-tab-strip-closable {
    border-bottom: solid 1px #444;
}
.x-tab-strip-active {
    background-color: #005483;
    border-style: solid;
    border-width: 1px;
    border-color: #444;
    border-bottom: none;
}
.preview-panel {
    background-color: #e4e4e4;
}
.preview-panel-timesheet-right {
    border-color: #e4e4e4;
}
.x-grid3-row-over {
    background: #eef3f7 none !important;
}
.preview-panel-felamimail {
    padding: 0px; padding-top: 4px;
}
.x-tool {
    background-image: url(../images/default/panel/tool-sprites.gif);
}
.flag_unread td {
    font-weight: bold;
}
.x-window-dlg .ext-mb-info {
    background-image: url(../images/default/window/icon-info-flat.png);
}
.x-window-dlg .ext-mb-warning {
    background-image: url(../images/default/window/icon-warning-flat.png);
}
.x-window-dlg .ext-mb-question {
    background-image: url(../images/default/window/icon-question-flat.png);
}
.x-window-dlg .ext-mb-error {
    background-image: url(../images/default/window/icon-error-flat.png);
}
.tine-favicon {
    color: transparent !important;
    background-image: none !important;
    visibility: hidden;
}
.tw-ftb-filterstructure-treepanel .x-panel-tbar-noborder .x-toolbar,
.tw-ftb-filterstructure-treepanel .x-panel-body,
.tw-ftb-filterpanel .x-panel-body,
.tw-ftb-filterpanel .x-toolbar {
    background-color: white !important;
}
.x-panel-bwrap .tw-filtertoolbar {
    padding-top: 0px;
}
.x-accordion-hd {
    background: #d4d4d4 none;
}
.x-btn .x-btn-icon-small-left { border: solid 2px #68a !important; border-radius: 3px; -moz-border-radius: 3px; }
#tine-viewport-maincardpanel>.x-panel>.x-panel-bwrap>.x-panel-body>.x-box-inner {
    background: #d4d4d4 url(../images/expresso/logo-expresso-comunidade-small.png) no-repeat 7px 5px !important;
}
.x-window-dlg button.x-btn-text:focus { font-style: italic; text-decoration: underline; color: #ec8537; }

.tb-about-img { 
    background: transparent url(../images/expresso/logo-expresso-comunidade-small.png) no-repeat center top; 
}

.tb-about-img > a > img { 
    visibility: hidden; 
}

#tine-viewport-maincardpanel>.x-panel>.x-panel-bwrap>.x-panel-tbar {
    background-color: #bebebe;
}

#tine-viewport-maincardpanel>.x-panel>.x-panel-bwrap>div.x-panel-body>.x-panel {
    background-color: #fff;
    padding: 0 5px;
}

.x-grid3-hd-row td, .x-grid3-row td, .x-grid3-summary-row td {
    font-size: 12px;
}

.preview-panel-felamimail-body {
    font-size: 14px;
}

.preview-panel-felamimail-body { 
    margin: 0; 
    padding: 0; 
    border: 0;
    border-spacing: 0; 
}
.preview-panel-felamimail-body table img { 
    display: block;
}

.powered-by-panel { color: #003; top: 484px !important; }
.about-button-panel { top: 476px !important; }
#about_button .x-btn-tl, #about_button .x-btn-tr, #about_button .x-btn-tc, 
#about_button .x-btn-ml, #about_button .x-btn-mr, #about_button .x-btn-mc, 
#about_button .x-btn-bl, #about_button .x-btn-br, #about_button .x-btn-bc {
    background-image: none;
}

.importance_high { color: #f00; }
.flag_flagged { color: #93f; }

.filterPanel-width { width:0px; }

.x-tab-strip li.tine-mainscreen-apptabspanel-menu-tabel a.x-tab-strip-close, 
.x-tab-strip li.tine-mainscreen-apptabspanel-menu-tabel a.x-tab-strip-close:hover {
    background-image: url('../images/expresso/arrow.png');
    height: 20px;
    width: 20px;
    top: 8px;
}

.tb-about-panel { /* texto do tine no login */
    display: visible !important;
    font: normal 11px tahoma, arial, helvetica, sans-serif !important;
    color: #333;
}
#about_button .x-btn-mc {
    background: transparent url('../../../../images/oxygen/16x16/actions/dialog-information.png') no-repeat 0 3px;
    height: 23px;
    width: 23px;
}
#about_button {
    background-image: none !important;
}
